MEINPROC4(8)

NAME
meinproc4 - Traducteur KDE pour XML

SYNOPSIS

meinproc4 [--help] [Options-génériques] [Options-Qt] [Options-KDE] [--cachefichier] [--check] [--htdig] [--srcdir] [--param clé=valeur] [[[-o] | [--output]] fichier] [--stdout] [--stylesheet xsl] docbook_file

DESCRIPTION

meinproc4 convertit les fichiers DocBook en HTML.

OPTIONS GéNéRIQUES

--author
    Affiche les informations sur l'auteur.

--help
    Affiche l'aide à propos des options.

--help-all
    Affiche toutes les options.

--help-kde
    Affiche les options spécifiques à KDE.

--help-qt
    Affiche les options spécifiques à Qt.

--license
    Affiche les informations concernant la licence.

-v--version
    Affiche les informations concernant la version.

OPTIONS DE LAPPLICATION

--cache file
    Crée un fichier en mémoire cache pour le document.

--check
    Vérifie la validité du document.

        La sortie risque d'être un peu décourageante, car une seule petite faute est capable de causer une cascade d'erreurs.
        L'astuce consiste à examiner la première erreur, la corriger, enregistrer le fichier et exécuter meinproc4 à nouveau.

--htdig
    Crée un index compatible avec ht://dig.

-o, --output file
    Génère une sortie du document complet dans file.

--stdout
    Génère une sortie du document complet dans stdout.

--stylesheet xsl
    Feuille de style à utiliser.

--srcdir dir
    Définit le dossier racine dans lequel chercher la bibliothèque kdelibs.

--param clé=valeur
    Définit les paramètres à passer à la feuille de style.

UTILISATION

La façon la plus courante d'exécuter meinproc4 est très simple :

    meinproc4 fichier-docbook

où fichier-docbook est habituellement index.docbook. Cette commande crée des pages HTML à partir du fichier DocBook. Notez que ces pages ne sont affichables que dans les navigateurs fondés sur KDE (comme Konqueror).

Si vous devez afficher la sortie HTML dans un autre navigateur (par exemple, si vous la mettez en ligne), saisissez :

    meinproc4 --stylesheet nom-feuille_de_style fichier-docbook

où nom-feuille_de_style est l'emplacement complet des feuilles de style XSL dans $KDEDIR/share/apps/ksgmltools/customization. Pour produire une sortie appropriée pour le Web, on peut utiliser kde-web.xsl ou kde-chunk-online.xsl. Consultez le fichier README dans ce dossier pour plus de détails.

VOIR AUSSI

kdeoptions(7), qtoptions(7)

BOGUES

Il y a probablement de nombreux bogues. Utilisez bugs.kde.org[1] pour en faire un rapport.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org